Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.io
Class ByteOrderDataInStream

    java.lang.Object
      com.vividsolutions.jts.io.ByteOrderDataInStream

    public class ByteOrderDataInStream

extends java.lang.Object

Allows reading a stream of Java primitive datatypes from an underlying `InStream`, with the representation being in either common byte ordering.

Constructor Summary
`ByteOrderDataInStream()`
`ByteOrderDataInStream(InStream stream)`

Method Summary
`byte` | `readByte()` Reads a byte value
`double` | `readDouble()`
`int` | `readInt()`
`long` | `readLong()`
`void` | `setInStream(InStream stream)` Allows a single ByteOrderDataInStream to be reused on multiple InStreams.
`void` | `setOrder(int byteOrder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteOrderDataInStream

    public ByteOrderDataInStream()

### ByteOrderDataInStream

    public ByteOrderDataInStream(InStream stream)

Method Detail

### setInStream

    public void setInStream(InStream stream)

  Allows a single ByteOrderDataInStream to be reused on multiple InStreams.

  Parameters:
    `stream` -

### setOrder

    public void setOrder(int byteOrder)

### readByte

    public byte readByte()
                  throws java.io.IOException

  Reads a byte value

  Returns:
    the byte read
  Throws:
    `java.io.IOException`

### readInt

    public int readInt()
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### readLong

    public long readLong()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### readDouble

    public double readDouble()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD